dnl aclocal.m4 -- custom autoconf macros for nfshell
dnl
dnl ******************************************************************
dnl *			   UNIX Variants			     *
dnl ******************************************************************
define(AC_HPUX_ANSI,
  [AC_MSG_CHECKING(for HPUX ANSI cc)
  AC_CACHE_VAL(nfshell_cv_HPUX_ANSI,
   SAVECPPFLAGS="$CPPFLAGS"
   CPPFLAGS="$CPPFLAGS -Aa"
   AC_EGREP_CPP(hockeypox, [
    #if defined(__hpux) && defined(__STDC__)
     hockeypox
    #endif
   ], nfshell_cv_HPUX_ANSI=yes, nfshell_cv_HPUX_ANSI=no
   ) dnl
  ) dnl
  AC_MSG_RESULT($nfshell_cv_HPUX_ANSI)
  CPPFLAGS="$SAVECPPFLAGS"
  test "$nfshell_cv_HPUX_ANSI" = yes && CFLAGS="$CFLAGS -Aa"
  AC_SUBST(CFLAGS)
]) dnl
dnl ******************************************************************
dnl *			   FASYNC				     *
dnl ******************************************************************
define(AC_FASYNC,
  [AC_MSG_CHECKING(for FASYNC fcntl)
   AC_CACHE_VAL(nfshell_cv_FASYNC,[
   SAVECPPFLAGS="$CPPFLAGS"
   CPPFLAGS="$CPPFLAGS -I./include"
   AC_TRY_RUN(
    [#include <sys/types.h>
     #include <sys/socket.h>
     #include <netinet/in.h>
     #include <system.h>
     #include <signal.h>
     #include <stdio.h>
     
     static int	event = 0;
     static void	async(int sig);
     
     int
     main(int argc, char **argv)
     {
     	struct sockaddr_in sin;
     	int		fd, j, pid;
     
     	memset(&sin, 0, sizeof(sin));
     	sin.sin_family = AF_INET;
     	sin.sin_port = htonl(INADDR_LOOPBACK);
     	sin.sin_port = htons(54321);
     
     	if ((pid = fork()) < 0) return 1;
     
     	if (pid == 0) {
     		if ((fd = socket(AF_INET, SOCK_DGRAM, IPPROTO_UDP)) < 0
     		 || connect(fd, (struct sockaddr *) &sin, sizeof(sin)) < 0)
     			exit(1);
     		sleep(1); write(fd, "xyzzy", 5); exit(0);
     	}
     
	signal(SIGIO, async);
	signal(SIGCLD, SIG_IGN);
     
     	if ((fd = socket(AF_INET, SOCK_DGRAM, IPPROTO_UDP)) < 0
     	 || bind(fd, (struct sockaddr *) &sin, sizeof(sin)) < 0
     	 || fcntl(fd, F_SETOWN, getpid()) < 0 
     	 || fcntl(fd, F_SETFL, fcntl(fd, F_GETFL) | FASYNC) < 0)
     		return 1;
     
     	alarm(5); sigpause(0); return event? 0 : 1;
     }
     
     static void
     async(int sig)
     {
     	if (sig != SIGALRM) event = sig;
     }
   ], nfshell_cv_FASYNC=yes, nfshell_cd_FASYNC=no)]) dnl
   AC_MSG_RESULT($nfshell_cv_FASYNC)
   CPPFLAGS="$SAVECPPFLAGS"
   test "$nfshell_cv_FASYNC" = yes && AC_DEFINE(HAVE_FASYNC)
]) dnl
