/*
 * namei.c	namei procedures for nfsbench
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <string.h>
#include "nfsbench.h"
#include "fs/nfs.h"
#include "fs/mount.h"

static void
nfs_lookup_reply(struct rpcreq *req)
{
	struct nfs_diropres	*resp;

	resp = (struct nfs_diropres *) req->rq_clntdata;
	xdr_nfs_lookup_res(req, &resp->nfsstat, &resp->fh, &resp->fattr);
	resp->rpcstat = req->rq_rpcstat;
}

void
nfs_lookup(sockaddr_in *server, struct nfs_diropargs *args,
				struct nfs_diropres  *resp)
{
	struct rpcreq	*req;

	if (!(req = generate_request(&nfs_server)))
		biod_flush();

	req->rq_callback = nfs_lookup_reply;
	req->rq_clntdata = resp;

	xdr_nfs_lookup(req, &args->fh, args->name);

	exec_request(req);
}
