/*
 * mount.h	Definitions for the mount protocol.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef PROTO_MOUNT_H
#define PROTO_MOUNT_H

#include "xdr/nfs.h"

#define MOUNT_PROGRAM		100005
#define MOUNT_VERSION		1

#define MOUNTPROC_NUL		0
#define MOUNTPROC_MNT		1
#define MOUNTPROC_DUMP		2
#define MOUNTPROC_UMNT		3
#define MOUNTPROC_UMNTALL	4
#define MOUNTPROC_EXPORT	5
#define MOUNTPROC_EXPORTALL	6

#define MNTPATHLEN		1024
#define MNTNAMLEN		255
#define FHSIZE			32

#define mnt_null		int
#define mnt_nullres		int

typedef char *			mnt_dirpath;

typedef struct mnt_fhstatus {
	nfs_stat		status;
	nfs_fh			fh;
} mnt_fhstatus;

#if 0
typedef struct mnt_mountlist {
	u32			dummy;
} mnt_mountlist;

typedef struct mnt_exportlist {
	u32			dummy;
} mnt_exportlist;
#else
#define mnt_mountlist		u32
#define mnt_exportlist		u32
#endif

const char *			mount_strerror(u32 stat);

extern rqxdrproc_t		mnt_encode[];
extern rqxdrproc_t		mnt_decode[];

#endif /* PROTO_MOUNT_H */
