/*
 * xdr/nfs_prot.h
 *
 * RPC protocol declaration for NFSv2
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#define NFS_PROTOCOL	\
RPC_PROT_FUNC(NUL,	null,		nfs_null,	nfs_nullres)	\
RPC_PROT_FUNC(GETATTR,	getattr,	nfs_fh,		nfs_attrstat)	\
RPC_PROT_FUNC(SETATTR,	setattr,	nfs_sattrargs,	nfs_attrstat)	\
RPC_PROT_FUNC(ROOT,	root,		nfs_null,	nfs_nullres)	\
RPC_PROT_FUNC(LOOKUP,	lookup,		nfs_diropargs,	nfs_diropres)	\
RPC_PROT_FUNC(READLINK,	readlink,	nfs_fh,		nfs_readlinkres)\
RPC_PROT_FUNC(READ,	read,		nfs_readargs,	nfs_readres)	\
RPC_PROT_FUNC(WRITECACHE,writecache,	nfs_null,	nfs_nullres)	\
RPC_PROT_FUNC(WRITE,	write,		nfs_writeargs,	nfs_attrstat)	\
RPC_PROT_FUNC(CREATE,	create,		nfs_createargs,	nfs_diropres)	\
RPC_PROT_FUNC(REMOVE,	remove,		nfs_diropargs,	nfs_stat)	\
RPC_PROT_FUNC(RENAME,	rename,		nfs_renameargs,	nfs_stat)	\
RPC_PROT_FUNC(LINK,	link,		nfs_linkargs,	nfs_stat)	\
RPC_PROT_FUNC(SYMLINK,	symlink,	nfs_symlinkargs,nfs_stat)	\
RPC_PROT_FUNC(MKDIR,	mkdir,		nfs_createargs,	nfs_diropres)	\
RPC_PROT_FUNC(RMDIR,	rmdir,		nfs_diropargs,	nfs_stat)	\
RPC_PROT_FUNC(READDIR,	readdir,	nfs_readdirargs,nfs_readdirres)	\
RPC_PROT_FUNC(STATFS,	statfs,		nfs_fh,		nfs_statfsres)
