/*
 * portmap.h		Declarations for the portmapper protocol
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef PROTO_PORTPMAP_H
#define PROTO_PORTPMAP_H

#define PMAP_PORT		111
#define PMAP_PROGRAM		100000
#define PMAP_VERSION		2
#define PMAPPROC_NUL		0
#define PMAPPROC_SET		1
#define PMAPPROC_UNSET		2
#define PMAPPROC_GETPORT	3
#define PMAPPROC_DUMP		4
#define PMAPPROC_CALLIT		5

#define pmap_null	int
#define pmap_nullres	int

typedef struct pmap {
	u32		pm_prog;
	u32		pm_vers;
	u32		pm_prot;
	u32		pm_port;
} pmap_map;

typedef u32		pmap_status;
/* typedef u32		pmap_port; */
#define pmap_port	u32

typedef struct pmaplist {
	struct pmap	pml_map;
	struct pmaplist *pml_next;
} pmap_maplist;

extern rqxdrproc_t	pmap_encode[];
extern rqxdrproc_t	pmap_decode[];

#endif /* PROTO_PORTPMAP_H */
