/*
 * shell/client.c
 *
 * Generic functions for RPC clients.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <nfshell.h>
#include <tcl.h>
#include <shell/args.h>
#include <shell/rpc.h>

int
tcl_client_switch(ClientData cd, Tcl_Interp *interp, int argc, char **argv)
{
	struct rpcprog	*prog = (struct rpcprog *) cd;
	char		*clnt = argv[0], *minor = argv[1];
	int		error;

	if (!strcmp(minor, "delete")) {
		error = Tcl_DeleteCommand(interp, clnt);
	} else if (!strcmp(minor, "port")) {
		error = tcl_return(interp, "%d",
					ntohs(prog->pg_server.sin_port));
	} else {
		return tcl_error(interp, "%s: unknown method %s", clnt, minor);
	}

	return error;
}
