/*
 * shell/mount1args.c
 *
 * Define the argument conversion for the MOUNTv1 binding
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <memory.h>
#include <malloc.h>
#include <nfshell.h>
#include <xdr/mount.h>
#include <shell/nfs.h>
#include <shell/mount.h>

#define tcl_mnt_fhstatus_init			NULL

TCL_BEGIN_STRUCT(extern, mnt_fhstatus)
	TCL_MEMBER(mnt_fhstatus, nfs_stat,	status),
	TCL_MEMBER(mnt_fhstatus, nfs_fh,	fh),
TCL_END_STRUCT(static, mnt_fhstatus)
TCL_DEFINE_STRUCT(extern, mnt_fhstatus);

/*
 * Filename handling
 */
static void
tcl_mnt_dirpath_init(void *dummy, char **name)
{
	*name = "/unknown";
}

static int
tcl_mnt_dirpath_parse(Tcl_Interp *interp, void *d, char **name, char *arg)
{
	*name = arg;
	return TCL_OK;
}

static int
tcl_mnt_dirpath_print(Tcl_Interp *interp, char **name)
{
	Tcl_AppendElement(interp, *name);
	return TCL_OK;
}

TCL_DEFINE_TYPE(extern, mnt_dirpath, NULL);
