
/*
 * shell/pmap1args.c
 *
 * Define the argument conversion for the MOUNTv1 binding
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <memory.h>
#include <malloc.h>
#include <nfshell.h>
#include <xdr/portmap.h>
#include <shell/portmap.h>

/*
 * Handling for portmap status
 */
#define tcl_pmap_status_init			NULL

static int
tcl_pmap_status_parse(Tcl_Interp *interp, void *d, u32 *s, char *a)
{
	return tcl_error(interp, "PMAP: can't parse pmap_status");
}

static int
tcl_pmap_status_print(Tcl_Interp *interp, void *dummy, u32 *statp)
{
	if (*statp != 0)
		return tcl_return(interp, "1");
	return tcl_error(interp, "portmapper: access denied");
}

/*
 * Handling for port mappings
 */
#define tcl_pmap_map_init			NULL
#define tcl_pmap_maplist_init			NULL

TCL_BEGIN_STRUCT(extern, pmap_map)
	TCL_MEMBER(pmap_map, u32,		pm_prog),
	TCL_MEMBER(pmap_map, u32,		pm_vers),
	TCL_MEMBER(pmap_map, u32,		pm_prot),
	TCL_MEMBER(pmap_map, u32,		pm_port),
TCL_END_STRUCT(static, pmap_map)
TCL_DEFINE_STRUCT(extern, pmap_map);

TCL_BEGIN_STRUCT(extern, pmap_maplist)
	TCL_MEMBER(pmap_maplist, pmap_map,	pml_map),
TCL_END_STRUCT(static, pmap_maplist)
TCL_DEFINE_STRUCT(extern, pmap_maplist);

TCL_DEFINE_TYPE(extern, pmap_status, NULL);
