/*
 * shell/util.c
 *
 * Tcl utility functions
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <stdarg.h>
#include <shell/args.h>
#include <tcl.h>

int
tcl_return(Tcl_Interp *interp, char *fmt, ...)
{
	char	buffer[1024];
	va_list	ap;

	va_start(ap, fmt);
	vsprintf(buffer, fmt, ap);
	va_end(ap);
	Tcl_SetResult(interp, buffer, TCL_VOLATILE);
	return TCL_OK;
}

int
tcl_error(Tcl_Interp *interp, char *fmt, ...)
{
	char	buffer[1024];
	va_list	ap;

	va_start(ap, fmt);
	vsprintf(buffer, fmt, ap);
	va_end(ap);
	Tcl_SetResult(interp, buffer, TCL_VOLATILE);
	return TCL_ERROR;
}
