/*
 * portmap.c	XDR functions for the portmapper protocol
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include "nfshell.h"
#include "macros.h"
#include "xdr/portmap.h"
#include "xdr/pmap_prot.h"

#define ENC	1
#define DEC	0

static u32 *
xdr_pmap(u32 *msg, int enc, struct pmap *pmap)
{
	if (enc) {
		*msg++ = htonl(pmap->pm_prog);
		*msg++ = htonl(pmap->pm_vers);
		*msg++ = htonl(pmap->pm_prot);
		*msg++ = htonl(pmap->pm_port);
	} else {
		pmap->pm_prog = ntohl(*msg++);
		pmap->pm_vers = ntohl(*msg++);
		pmap->pm_prot = ntohl(*msg++);
		pmap->pm_port = ntohl(*msg++);
	}
	return msg;
}

/*
static inline unsigned int
xdr_pmap_res(struct rpcreq *req, u32 **msgp)
{
	return rpc_reply(req, msgp);
}

static inline unsigned int
xdr_pmap_int_res(struct rpcreq *req, u32 *valp)
{
	u32	*msg = req->rq_rply;

	if (xdr_pmap_res(req, &msg) != 0) {
		*valp = ntohl(*msg++);
		return xdr_check_rplylen(req, msg);
	}
	return 0;
}
 */

/*
 * PMAP async procedures
 */
static u32 *
xdr_pmap_null(struct rpcreq *req, u32 *msg, void *dummy)
{
	return msg;
}

static u32 *
xdr_pmap_nullres(struct rpcreq *req, u32 *msg, void *dummy)
{
	return msg;
}

static u32 *
xdr_pmap_map(struct rpcreq *req, u32 *msg, pmap_map *pmap)
{
	return xdr_pmap(msg, ENC, pmap);
}

static u32 *
xdr_pmap_status(struct rpcreq *req, u32 *msg, pmap_status *resp)
{
	*resp = ntohl(*msg++);
	return msg;
}

static u32 *
xdr_pmap_port(struct rpcreq *req, u32 *msg, pmap_port *resp)
{
	*resp = ntohl(*msg++);
	return msg;
}

static u32 *
xdr_pmap_maplist(struct rpcreq *req, u32 *msg, pmap_maplist *resp)
{
	return NULL;
}

#define RPC_PROTOCOL		PMAP_PROTOCOL
#define RPC_PROT_NAME		pmap
#include <xdr/xdrdefs.h>
